/* The following code was generated by JFlex 1.4.1 on 05.07.07 17:01 */

package de.grogra.blocks.functionParser;

import java_cup.runtime.*;


/**
 * This class is a scanner generated by 
 * <a href="http://www.jflex.de/">JFlex</a> 1.4.1
 * on 05.07.07 17:01 from the specification file
 * <tt>src/de/grogra/blocks/functionParser/expr.lex</tt>
 */
class scanner2 implements java_cup.runtime.Scanner {

  /** This character denotes the end of file */
  public static final int YYEOF = -1;

  /** initial size of the lookahead buffer */
  private static final int ZZ_BUFFERSIZE = 16384;

  /** lexical states */
  public static final int YYINITIAL = 0;

  /** 
   * Translates characters to character classes
   */
  private static final char [] ZZ_CMAP = {
     0,  0,  0,  0,  0,  0,  0,  0,  0, 55, 55,  0, 55, 55,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
    55, 51,  0,  0,  0, 12, 46,  0, 15, 16, 11,  9,  8, 10, 54, 14, 
    37, 34, 32, 45,  6,  6,  6,  6,  6,  6, 53,  7, 48, 49, 50, 52, 
     0,  0,  0,  0,  5,  0,  0,  0,  4,  2,  0,  0, 43,  0, 44,  0, 
     3,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  0,  0, 13,  0, 
     0, 24, 38, 21, 18, 30, 39, 36, 25, 17,  0, 41, 35, 33, 20, 22, 
    28, 26, 27, 19, 23, 40, 42, 29, 31,  0,  0,  0, 47,  0,  0,  0
  };

  /** 
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7"+
    "\1\10\1\11\1\12\1\13\1\14\1\15\1\16\1\17"+
    "\1\20\1\21\1\3\1\6\5\1\1\5\1\1\1\4"+
    "\1\22\7\1\1\23\1\1\1\24\1\25\1\26\1\27"+
    "\1\1\1\30\1\31\1\32\1\7\1\33\4\0\1\34"+
    "\1\35\1\36\13\0\1\37\11\0\1\40\1\41\1\42"+
    "\1\43\1\44\1\45\1\46\1\47\1\0\1\50\1\0"+
    "\1\51\1\0\1\52\4\0\1\53\1\54\1\0\1\55"+
    "\1\0\1\56\1\57\1\60\1\61\1\62\1\63\3\0"+
    "\1\64\1\65\1\66\1\67\1\0\1\70\1\71\1\72"+
    "\1\0\1\73\1\74\1\75\1\76\3\0\1\77\3\0"+
    "\1\100\1\0\1\101\1\102\1\0\1\103\1\0\1\104"+
    "\1\105\1\106\1\107\1\110\1\111\1\112";

  private static int [] zzUnpackAction() {
    int [] result = new int[142];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** 
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\70\0\70\0\160\0\70\0\250\0\70\0\340"+
    "\0\70\0\70\0\70\0\70\0\70\0\70\0\70\0\70"+
    "\0\70\0\70\0\u0118\0\u0150\0\u0188\0\u01c0\0\u01f8\0\u0230"+
    "\0\u0268\0\u02a0\0\u02d8\0\u0310\0\u0348\0\u0380\0\u03b8\0\u03f0"+
    "\0\u0428\0\u0460\0\u0498\0\u04d0\0\u0508\0\u0540\0\u0578\0\u05b0"+
    "\0\70\0\70\0\u05e8\0\70\0\70\0\70\0\u05e8\0\70"+
    "\0\u0620\0\u0658\0\u0690\0\u06c8\0\70\0\70\0\70\0\u0700"+
    "\0\u0738\0\u0770\0\u07a8\0\u07e0\0\u0818\0\u0850\0\u0888\0\u08c0"+
    "\0\u08f8\0\u0930\0\70\0\u0968\0\u09a0\0\u09d8\0\u0a10\0\u0a48"+
    "\0\u0a80\0\u0ab8\0\u0af0\0\u0b28\0\70\0\70\0\70\0\70"+
    "\0\70\0\70\0\70\0\u0b60\0\u0b98\0\u0bd0\0\u0c08\0\u0c40"+
    "\0\u0c78\0\u0cb0\0\u0ce8\0\u0d20\0\u0d58\0\u0d90\0\70\0\u0dc8"+
    "\0\u0e00\0\70\0\u0e38\0\70\0\70\0\u0e70\0\u0ea8\0\70"+
    "\0\70\0\u0ee0\0\u0f18\0\u0f50\0\70\0\70\0\70\0\70"+
    "\0\u0f88\0\70\0\70\0\70\0\u0fc0\0\70\0\70\0\70"+
    "\0\70\0\u0ff8\0\u1030\0\u1068\0\70\0\u10a0\0\u10d8\0\u1110"+
    "\0\70\0\u1148\0\70\0\70\0\u1180\0\70\0\u11b8\0\70"+
    "\0\70\0\70\0\70\0\70\0\70\0\70";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[142];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /** 
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpackTrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11"+
    "\1\12\1\13\1\14\1\15\1\16\1\17\1\20\1\21"+
    "\1\22\1\23\1\24\1\25\1\26\1\27\1\2\1\30"+
    "\1\31\1\32\1\2\1\33\1\34\1\2\1\35\1\3"+
    "\1\10\1\2\1\10\1\36\1\37\1\10\1\2\1\40"+
    "\1\2\1\41\2\2\1\42\1\10\1\43\1\44\1\45"+
    "\1\46\1\47\1\50\1\51\1\52\1\53\1\54\135\0"+
    "\1\55\75\0\1\56\22\0\1\10\31\0\1\10\1\0"+
    "\1\10\2\0\1\10\7\0\1\10\10\0\1\57\23\0"+
    "\1\60\22\0\1\55\60\0\1\61\52\0\1\62\10\0"+
    "\1\63\60\0\1\64\14\0\1\65\1\0\1\66\12\0"+
    "\1\67\40\0\1\70\7\0\1\71\61\0\1\72\2\0"+
    "\1\73\57\0\1\74\1\0\1\75\1\0\1\76\16\0"+
    "\1\77\64\0\1\56\50\0\1\100\1\0\1\101\1\0"+
    "\1\102\60\0\1\103\4\0\1\104\2\0\1\105\75\0"+
    "\1\106\56\0\1\107\66\0\1\110\72\0\1\111\2\0"+
    "\1\112\7\0\1\113\70\0\1\114\63\0\1\65\1\0"+
    "\1\66\12\0\1\67\70\0\1\115\70\0\1\116\71\0"+
    "\1\117\67\0\1\120\67\0\1\121\67\0\1\122\14\0"+
    "\1\57\31\0\1\57\1\0\1\57\2\0\1\57\7\0"+
    "\1\57\56\0\1\123\47\0\1\124\17\0\1\125\56\0"+
    "\1\126\66\0\1\127\60\0\1\130\65\0\1\131\72\0"+
    "\1\132\113\0\1\133\40\0\1\134\74\0\1\135\71\0"+
    "\1\136\62\0\1\137\66\0\1\140\115\0\1\141\41\0"+
    "\1\142\1\0\1\143\100\0\1\144\53\0\1\145\102\0"+
    "\1\146\77\0\1\147\45\0\1\150\72\0\1\151\15\0"+
    "\1\152\54\0\1\153\65\0\1\154\113\0\1\155\46\0"+
    "\1\156\62\0\1\157\72\0\1\160\73\0\1\161\65\0"+
    "\1\162\101\0\1\163\55\0\1\164\62\0\1\165\11\0"+
    "\1\166\55\0\1\167\66\0\1\170\70\0\1\171\73\0"+
    "\1\172\63\0\1\173\65\0\1\174\105\0\1\175\1\176"+
    "\70\0\1\177\50\0\1\200\71\0\1\201\70\0\1\202"+
    "\70\0\1\203\65\0\1\204\110\0\1\205\43\0\1\206"+
    "\73\0\1\207\103\0\1\210\61\0\1\211\10\0\1\212"+
    "\60\0\1\213\64\0\1\214\57\0\1\215\105\0\1\216"+
    "\26\0";

  private static int [] zzUnpackTrans() {
    int [] result = new int[4592];
    int offset = 0;
    offset = zzUnpackTrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackTrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /* error codes */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  private static final int ZZ_NO_MATCH = 1;
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /* error messages for the codes above */
  private static final String ZZ_ERROR_MSG[] = {
    "Unkown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state <code>aState</code>
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\1\0\2\11\1\1\1\11\1\1\1\11\1\1\12\11"+
    "\26\1\2\11\1\1\3\11\1\1\1\11\4\0\3\11"+
    "\13\0\1\11\11\0\7\11\1\1\1\0\1\1\1\0"+
    "\1\1\1\0\1\1\4\0\1\11\1\1\1\0\1\11"+
    "\1\0\2\11\2\1\2\11\3\0\4\11\1\0\3\11"+
    "\1\0\4\11\3\0\1\11\3\0\1\11\1\0\2\11"+
    "\1\0\1\11\1\0\7\11";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[142];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** the input device */
  private java.io.Reader zzReader;

  /** the current state of the DFA */
  private int zzState;

  /** the current lexical state */
  private int zzLexicalState = YYINITIAL;

  /** this buffer contains the current text to be matched and is
      the source of the yytext() string */
  private char zzBuffer[] = new char[ZZ_BUFFERSIZE];

  /** the textposition at the last accepting state */
  private int zzMarkedPos;

  /** the textposition at the last state to be included in yytext */
  private int zzPushbackPos;

  /** the current text position in the buffer */
  private int zzCurrentPos;

  /** startRead marks the beginning of the yytext() string in the buffer */
  private int zzStartRead;

  /** endRead marks the last character in the buffer, that has been read
      from input */
  private int zzEndRead;

  /** number of newlines encountered up to the start of the matched text */
  private int yyline;

  /** the number of characters up to the start of the matched text */
  private int yychar;

  /**
   * the number of characters from the last newline up to the start of the 
   * matched text
   */
  private int yycolumn;

  /** 
   * zzAtBOL == true <=> the scanner is currently at the beginning of a line
   */
  private boolean zzAtBOL = true;

  /** zzAtEOF == true <=> the scanner is at the EOF */
  private boolean zzAtEOF;

  /** denotes if the user-EOF-code has already been executed */
  private boolean zzEOFDone;


  /**
   * Creates a new scanner
   * There is also a java.io.InputStream version of this constructor.
   *
   * @param   in  the java.io.Reader to read input from.
   */
  scanner2(java.io.Reader in) {
    this.zzReader = in;
  }

  /**
   * Creates a new scanner.
   * There is also java.io.Reader version of this constructor.
   *
   * @param   in  the java.io.Inputstream to read input from.
   */
  scanner2(java.io.InputStream in) {
    this(new java.io.InputStreamReader(in));
  }


  /**
   * Refills the input buffer.
   *
   * @return      <code>false</code>, iff there was new input.
   * 
   * @exception   java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead-zzStartRead);

      /* translate stored positions */
      zzEndRead-= zzStartRead;
      zzCurrentPos-= zzStartRead;
      zzMarkedPos-= zzStartRead;
      zzPushbackPos-= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length) {
      /* if not: blow it up */
      char newBuffer[] = new char[zzCurrentPos*2];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
    }

    /* finally: fill the buffer with new input */
    int numRead = zzReader.read(zzBuffer, zzEndRead,
                                            zzBuffer.length-zzEndRead);

    if (numRead < 0) {
      return true;
    }
    else {
      zzEndRead+= numRead;
      return false;
    }
  }

    
  /**
   * Closes the input stream.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true;            /* indicate end of file */
    zzEndRead = zzStartRead;  /* invalidate buffer    */

    if (zzReader != null)
      zzReader.close();
  }


  /**
   * Resets the scanner to read from a new input stream.
   * Does not close the old reader.
   *
   * All internal variables are reset, the old input stream 
   * <b>cannot</b> be reused (internal buffer is discarded and lost).
   * Lexical state is set to <tt>ZZ_INITIAL</tt>.
   *
   * @param reader   the new input stream 
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzAtBOL  = true;
    zzAtEOF  = false;
    zzEndRead = zzStartRead = 0;
    zzCurrentPos = zzMarkedPos = zzPushbackPos = 0;
    yyline = yychar = yycolumn = 0;
    zzLexicalState = YYINITIAL;
  }


  /**
   * Returns the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   */
  public final String yytext() {
    return new String( zzBuffer, zzStartRead, zzMarkedPos-zzStartRead );
  }


  /**
   * Returns the character at position <tt>pos</tt> from the 
   * matched text. 
   * 
   * It is equivalent to yytext().charAt(pos), but faster
   *
   * @param pos the position of the character to fetch. 
   *            A value from 0 to yylength()-1.
   *
   * @return the character at position pos
   */
  public final char yycharat(int pos) {
    return zzBuffer[zzStartRead+pos];
  }


  /**
   * Returns the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occured while scanning.
   *
   * In a wellformed scanner (no or only correct usage of 
   * yypushback(int) and a match-all fallback rule) this method 
   * will only be called with things that "Can't Possibly Happen".
   * If this method is called, something is seriously wrong
   * (e.g. a JFlex bug producing a faulty scanner etc.).
   *
   * Usual syntax/scanner level error handling should be done
   * in error fallback rules.
   *
   * @param   errorCode  the code of the errormessage to display
   */
  private void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    }
    catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  } 


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * They will be read again by then next call of the scanning method
   *
   * @param number  the number of characters to be read again.
   *                This number must not be greater than yylength()!
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }


  /**
   * Contains user EOF-code, which will be executed exactly once,
   * when the end of file is reached
   */
  private void zzDoEOF() throws java.io.IOException {
    if (!zzEOFDone) {
      zzEOFDone = true;
      yyclose();
    }
  }


  /**
   * Resumes scanning until the next regular expression is matched,
   * the end of input is encountered or an I/O-Error occurs.
   *
   * @return      the next token
   * @exception   java.io.IOException  if any I/O-Error occurs
   */
  public Symbol next_token() throws java.io.IOException {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char [] zzBufferL = zzBuffer;
    char [] zzCMapL = ZZ_CMAP;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;
  
      zzState = zzLexicalState;


      zzForAction: {
        while (true) {
    
          if (zzCurrentPosL < zzEndReadL)
            zzInput = zzBufferL[zzCurrentPosL++];
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = zzBufferL[zzCurrentPosL++];
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMapL[zzInput] ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          int zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
        case 63: 
          { return new Symbol(sym.EXP2);
          }
        case 75: break;
        case 19: 
          { return new Symbol(sym.KL);
          }
        case 76: break;
        case 45: 
          { return new Symbol(sym.RAD);
          }
        case 77: break;
        case 69: 
          { return new Symbol(sym.LOG1P);
          }
        case 78: break;
        case 70: 
          { return new Symbol(sym.LOG10);
          }
        case 79: break;
        case 35: 
          { return new Symbol(sym.GG);
          }
        case 80: break;
        case 74: 
          { return new Symbol(sym.RANDOM);
          }
        case 81: break;
        case 14: 
          { return new Symbol(sym.DACH);
          }
        case 82: break;
        case 50: 
          { return new Symbol(sym.GCD);
          }
        case 83: break;
        case 65: 
          { return new Symbol(sym.NSQRT);
          }
        case 84: break;
        case 53: 
          { return new Symbol(sym.SINH);
          }
        case 85: break;
        case 46: 
          { return new Symbol(sym.POW);
          }
        case 86: break;
        case 27: 
          { return new Symbol(sym.ID);
          }
        case 87: break;
        case 31: 
          { return new Symbol(sym.PI);
          }
        case 88: break;
        case 37: 
          { return new Symbol(sym.NG);
          }
        case 89: break;
        case 12: 
          { return new Symbol(sym.MUL);
          }
        case 90: break;
        case 60: 
          { return new Symbol(sym.ASIN);
          }
        case 91: break;
        case 9: 
          { return new Symbol(sym.KOMMA);
          }
        case 92: break;
        case 61: 
          { return new Symbol(sym.ACOS);
          }
        case 93: break;
        case 57: 
          { return new Symbol(sym.CEIL);
          }
        case 94: break;
        case 71: 
          { return new Symbol(sym.FALSE);
          }
        case 95: break;
        case 2: 
          { return new Symbol(sym.X);
          }
        case 96: break;
        case 73: 
          { return new Symbol(sym.RNDABS);
          }
        case 97: break;
        case 15: 
          { return new Symbol(sym.DIV);
          }
        case 98: break;
        case 51: 
          { return new Symbol(sym.FAC);
          }
        case 99: break;
        case 42: 
          { return new Symbol(sym.TAN);
          }
        case 100: break;
        case 13: 
          { return new Symbol(sym.MOD);
          }
        case 101: break;
        case 64: 
          { return new Symbol(sym.FRAC);
          }
        case 102: break;
        case 44: 
          { return new Symbol(sym.RND);
          }
        case 103: break;
        case 55: 
          { return new Symbol(sym.SQRT);
          }
        case 104: break;
        case 49: 
          { return new Symbol(sym.LOG);
          }
        case 105: break;
        case 47: 
          { return new Symbol(sym.PHI);
          }
        case 106: break;
        case 22: 
          { return new Symbol(sym.FZ);
          }
        case 107: break;
        case 36: 
          { return new Symbol(sym.GRG);
          }
        case 108: break;
        case 17: 
          { return new Symbol(sym.KZU);
          }
        case 109: break;
        case 11: 
          { return new Symbol(sym.MINUS);
          }
        case 110: break;
        case 67: 
          { return new Symbol(sym.ROUND);
          }
        case 111: break;
        case 4: 
          { return new Symbol(sym.P);
          }
        case 112: break;
        case 34: 
          { return new Symbol(sym.KLG);
          }
        case 113: break;
        case 7: 
          { return new Symbol(sym.NUMBER, new String(yytext()));
          }
        case 114: break;
        case 32: 
          { return new Symbol(sym.AND);
          }
        case 115: break;
        case 21: 
          { return new Symbol(sym.NOT);
          }
        case 116: break;
        case 66: 
          { return new Symbol(sym.TRUNC);
          }
        case 117: break;
        case 38: 
          { return new Symbol(sym.DEG);
          }
        case 118: break;
        case 23: 
          { return new Symbol(sym.DP);
          }
        case 119: break;
        case 48: 
          { return new Symbol(sym.EXP);
          }
        case 120: break;
        case 20: 
          { return new Symbol(sym.GR);
          }
        case 121: break;
        case 1: 
          { System.err.println("unexpected function input: "  + yytext());
          }
        case 122: break;
        case 25: 
          { return new Symbol(sym.PREI);
          }
        case 123: break;
        case 39: 
          { return new Symbol(sym.SIN);
          }
        case 124: break;
        case 68: 
          { return new Symbol(sym.EXPM1);
          }
        case 125: break;
        case 41: 
          { return new Symbol(sym.COS);
          }
        case 126: break;
        case 3: 
          { return new Symbol(sym.I);
          }
        case 127: break;
        case 56: 
          { return new Symbol(sym.COSH);
          }
        case 128: break;
        case 18: 
          { return new Symbol(sym.EULER);
          }
        case 129: break;
        case 16: 
          { return new Symbol(sym.KAUF);
          }
        case 130: break;
        case 54: 
          { return new Symbol(sym.SIGN);
          }
        case 131: break;
        case 43: 
          { return new Symbol(sym.ABS);
          }
        case 132: break;
        case 5: 
          { return new Symbol(sym.H);
          }
        case 133: break;
        case 40: 
          { return new Symbol(sym.SQR);
          }
        case 134: break;
        case 58: 
          { return new Symbol(sym.TANH);
          }
        case 135: break;
        case 62: 
          { return new Symbol(sym.ATAN);
          }
        case 136: break;
        case 8: 
          { return new Symbol(sym.SEMI);
          }
        case 137: break;
        case 24: 
          { /* white spaces ingnorieren */
          }
        case 138: break;
        case 30: 
          { return new Symbol(sym.N3);
          }
        case 139: break;
        case 28: 
          { return new Symbol(sym.N2);
          }
        case 140: break;
        case 59: 
          { return new Symbol(sym.TRUE);
          }
        case 141: break;
        case 6: 
          { return new Symbol(sym.D);
          }
        case 142: break;
        case 33: 
          { return new Symbol(sym.OR);
          }
        case 143: break;
        case 72: 
          { return new Symbol(sym.FLOOR);
          }
        case 144: break;
        case 26: 
          { return new Symbol(sym.HL);
          }
        case 145: break;
        case 29: 
          { return new Symbol(sym.N1);
          }
        case 146: break;
        case 52: 
          { return new Symbol(sym.KGV);
          }
        case 147: break;
        case 10: 
          { return new Symbol(sym.PLUS);
          }
        case 148: break;
        default: 
          if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
            zzAtEOF = true;
            zzDoEOF();
              { return new java_cup.runtime.Symbol(sym.EOF); }
          } 
          else {
            zzScanError(ZZ_NO_MATCH);
          }
      }
    }
  }


}
